Skip to main content
PUT
Update article

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

articleId
string<uuid>
required

Unique identifier of the article.

Body

application/json
name
string
required

Name of the article.

Required string length: 3 - 255
Example:

"Getting Started with SMS API"

content
string
required

Content of the article in HTML format.

Minimum string length: 1
Example:

"<h1>Introduction</h1><p>This guide covers the basics of the SMS API.</p>"

status
enum<string>
required

Workflow status of the article.

Available options:
PUBLISHED,
DRAFT
Example:

"PUBLISHED"

tags
string[]
required

List of tag names to assign to the article.

List of tag names to assign to the article.

Minimum string length: 1
Example:

List of attachment identifiers to link to the article.

List of attachment identifiers to link to the article.

Example:
categoryId
string<uuid>
required

Category identifier to assign the article to.

Example:

"a1b2c3d4-5678-9012-abcd-ef1234567890"

folderId
string<uuid>

Folder identifier within the category.

Example:

"b2c3d4e5-6789-0123-bcde-f12345678901"

Response

Article updated successfully

id
string<uuid>
required

Unique identifier of the article.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"